Documents (SAPI)Get received document detail

Get received document detail

Stiahnutie metadát a XML. Samo o sebe nemení stav na ACKNOWLEDGED.

curl -X GET "https://einvoice-v1-ynyiur6quq-ey.a.run.app/v1/sapi/document/receive/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Peppol-Participant-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "metadata": {
    "documentId": "example_string",
    "documentTypeId": "example_string",
    "processId": "example_string",
    "senderParticipantId": "example_string",
    "receiverParticipantId": "example_string",
    "clientDocumentId": "example_string",
    "receivedAt": "2024-12-25T10:00:00Z",
    "status": "RECEIVED",
    "payloadFormat": "XML"
  },
  "payload": "example_string",
  "payloadFormat": "XML",
  "payloadEncoding": "example_string",
  "checksum": "example_string"
}
GET
/v1/sapi/document/receive/{documentId}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

path
documentIdstring
Required

Identifikátor z documents[].documentId.

header
X-Peppol-Participant-Idstring
Required

Firma oprávnená na operáciu; pri odoslaní sa zhoduje s metadata.senderParticipantId.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

documentIdstring
Required

Identifikátor z documents[].documentId.

Headers

X-Peppol-Participant-Idstring
Required

Firma oprávnená na operáciu; pri odoslaní sa zhoduje s metadata.senderParticipantId.

Responses

metadataobject
payloadstring

XML obsah dokumentu.

payloadFormatstring
Allowed values:XML
payloadEncodingstring
checksumstring

Kontrolný súčet uvedený v príklade V1.